Summary:	The Waf build system
Summary(pl.UTF-8):	System budowania Waf
Name:		waf
Version:	2.0.22
Release:	2
# note: waf book is on CC-BY-NC-ND (not included in binary package)
License:	BSD
Group:		Development/Building
Source0:	https://waf.io/%{name}-%{version}.tar.bz2
# Source0-md5:	f6887561bd985d3734ca7b818ea65308
Patch0:		%{name}-path.patch
URL:		https://waf.io/
BuildRequires:	python3
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.507
Requires:	python(abi) = %{py3_ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Waf is a general-purpose build system which was modelled from Scons.
Though it comes last in the arena of the build systems, we believe
that Waf is a vastly superior alternative to its competitors
(Autotools, Scons, Cmake, Ant, etc) for building software,

%description -l pl.UTF-8
Waf to system budowania ogólnego przeznaczenia opracowany na podstawie
Scons. Mimo że pojawił się jako ostatni na arenie systemów budowania,
autorzy wierzą, że przewyższa alternatywne narzędzia (Autotools,
Scons, Cmake, Ant itp.).

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,/usr/bin/.*python,%{__python3},' waf-light waflib/Context.py waflib/processor.py waflib/extras/javatest.py

%build
# check waf-light
extras=
for f in waflib/extras/*.py ; do
	tool=$(basename "$f" .py)
	if [ "$tool" != "__init__" ]; then
		extras="${extras:+$extras,}$tool"
	fi
done
./waf-light --make-waf --strip --tools="$extras"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/waf3/waflib/{Tools,extras}

cp -p waflib/*.py $RPM_BUILD_ROOT%{_datadir}/waf3/waflib
cp -p waflib/Tools/*.py $RPM_BUILD_ROOT%{_datadir}/waf3/waflib/Tools
cp -p waflib/extras/*.py $RPM_BUILD_ROOT%{_datadir}/waf3/waflib/extras

install -D -p waf-light $RPM_BUILD_ROOT%{_bindir}/waf

%py3_comp $RPM_BUILD_ROOT%{_datadir}/waf3/waflib
%py3_ocomp $RPM_BUILD_ROOT%{_datadir}/waf3/waflib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.md
%attr(755,root,root) %{_bindir}/waf
%{_datadir}/waf3
%changelog
* Sun Feb 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/waf.git;a=log;h=master

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> 0e175ac
- rediff patch; rel 2

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 07775e5
- up to 2.0.22

* Fri Nov 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 067625e
- updated python(abi) dependency, compile python library

* Sun Nov 22 2020 Jan Palus <atler@pld-linux.org> b28e98f
- up to 2.0.21

* Sun Nov 22 2020 Jan Palus <atler@pld-linux.org> 2134b16
- switch to python3

* Thu Feb 20 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> f095bc6
- up to 2.0.19

* Wed Oct 03 2018 Jan Palus <atler@pld-linux.org> 5e7a2f5
- up to 2.0.11

* Tue Jul 24 2018 Jan Palus <atler@pld-linux.org> cf2b81b
- up to 2.0.9

* Thu Sep 21 2017 Jan Palus <atler@pld-linux.org> 721c770
- missing patch; rel 2

* Thu Sep 21 2017 Jan Palus <atler@pld-linux.org> 6e7fe1f
- up to 2.0.0

* Sun Aug 06 2017 Jan Palus <atler@pld-linux.org> 3901bae
- up to 1.9.13

* Sun Jun 04 2017 Jan Palus <atler@pld-linux.org> fd5d043
- up to 1.9.12

* Mon May 08 2017 Jan Palus <atler@pld-linux.org> ffaa1a0
- up to 1.9.11

* Mon Feb 13 2017 Jan Palus <atler@pld-linux.org> cc53938
- up to 1.9.8

* Wed Dec 14 2016 Jan Palus <atler@pld-linux.org> 36f0435
- up to 1.9.7

* Tue Nov 29 2016 Jan Palus <atler@pld-linux.org> c5d8a09
- up to 1.9.6

* Sun Oct 09 2016 Jan Palus <atler@pld-linux.org> 79e08d2
- up to 1.9.5

* Mon Sep 12 2016 Jan Palus <atler@pld-linux.org> 3e8e4d2
- up to 1.9.4

* Sun Aug 21 2016 Jan Palus <atler@pld-linux.org> c387d35
- up to 1.9.3

* Sat Aug 06 2016 Jan Palus <atler@pld-linux.org> 240f1fd
- up to 1.9.2

